## golang-github-mozillazg-go-pinyin 0.18.0+ds.1

=== _tools/pinyin-data/Makefile ===
.PHONY: help
help:
	@echo "merge_unihan          merge Unihan data"
	@echo "pua                   generate PUA"
	@echo "check                 check unexpected char"

.PHONY: merge_unihan
merge_unihan: check
	python merge_unihan.py

.PHONY: pua
pua:
	python tools/gen_gb_pua.py > GBK_PUA.txt

.PHONY: check
check:
	-rg 'ɡ|ɑ'

=== _tools/pinyin-data/tools/requirements.txt ===
pyquery==1.2.13
requests==2.20.0

## golang-github-mozillazg-go-pinyin 0.15.0

=== debian/changelog ===
golang-github-mozillazg-go-pinyin (0.15.0-1) unstable; urgency=low

  * ['Autobuild release-candidate: b30551bbe8294341b9b4ad3e2e58d8d4edfa29c9']

 -- shuttle <shuttle@deepin.com>  Mon, 28 Oct 2019 11:34:40 +0000

=== debian/control ===
Source: golang-github-mozillazg-go-pinyin
Section: devel
Priority: optional
Maintainer: electricface <songwentai@deepin.com>
Uploaders: electricface <songwentai@deepin.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any
Standards-Version: 4.1.4
Homepage: https://github.com/mozillazg/go-pinyin
XS-Go-Import-Path: github.com/mozillazg/go-pinyin

Package: golang-github-mozillazg-go-pinyin-dev
Architecture: all
Depends: ${misc:Depends}
Description: Chinese pinyin conversion library for Go

## golang-github-mozillazg-go-pinyin 0.18.0%2Bds.1

=== debian/control ===
Source: golang-github-mozillazg-go-pinyin
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Debian Go Packaging Team <team+pkg-go@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-mattn-go-isatty-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/mozillazg/go-pinyin
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/golang-github-mozillazg-go-pinyin
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/golang-github-mozillazg-go-pinyin.git
XS-Go-Import-Path: github.com/mozillazg/go-pinyin

Package: golang-github-mozillazg-go-pinyin-dev
Architecture: any
Depends:
 ${misc:Depends},
Description: Chinese pinyin conversion library for Golang.
 This package provides golang chinese pinyin conversion library.

## golang-github-mozillazg-go-pinyin 0.18.0+ds.1

=== debian/changelog ===
golang-github-mozillazg-go-pinyin (0.18.0+ds.1-1) unstable; urgency=medium

  * Source-only upload onto unstable. 

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Jul 2020 10:25:47 -0400

golang-github-mozillazg-go-pinyin (0.18.0+ds.1-1~exp1) experimental; urgency=medium

  * Initial Release 0.18.0

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 19 Jul 2020 17:54:12 +0545

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-mozillazg-go-pinyin 0.19.0%2Bds.1

=== debian/changelog ===
golang-github-mozillazg-go-pinyin (0.19.0+ds.1-1) unstable; urgency=medium

  * New upstream version 0.19.0.
    + Import new _tools/pinyin-data/ data.
  * debian/upstream/metadata: Add Repository field.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Apr 2022 13:02:44 -0400

golang-github-mozillazg-go-pinyin (0.18.0+ds.1-2) unstable; urgency=low

  * Bump Standards-Version to 4.6.0.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add missing ${misc:Built-Using} to Built-Using on
    golang-github-mozillazg-go-pinyin-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 11:32:28 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-golang,
  golang-any,
  golang-github-mattn-go-isatty-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mozillazg/go-pinyin
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/golang-github-mozillazg-go-pinyin
@@ -22,5 +22,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
+Built-Using: ${misc:Built-Using}
 Description: Chinese pinyin conversion library for Golang.
  This package provides golang chinese pinyin conversion library.

## golang-github-mozillazg-go-pinyin 0.20.0%2Bds.1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-mozillazg-go-pinyin
 Section: devel
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,

## golang-github-mozillazg-go-pinyin 0.20.0+ds.1

=== debian/changelog ===
golang-github-mozillazg-go-pinyin (0.20.0+ds.1-2) unstable; urgency=medium

  * Rebuild against new golang toolchain.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/upstream/metadata: Merge changes proposed by Debian Janitor.

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Sep 2024 22:44:52 -0400

golang-github-mozillazg-go-pinyin (0.20.0+ds.1-1) unstable; urgency=medium

  * New upstream version 0.20.0+ds.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Oct 2023 09:18:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-mozillazg-go-pinyin
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
@@ -12,7 +11,7 @@
  dh-golang,
  golang-any,
  golang-github-mattn-go-isatty-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mozillazg/go-pinyin
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/golang-github-mozillazg-go-pinyin

## golang-github-mozillazg-go-pinyin 0.21.0%2Bds.1

=== _tools/pinyin-data/tools/requirements.txt ===
pyquery==1.2.13
requests==2.31.0

=== debian/changelog ===
golang-github-mozillazg-go-pinyin (0.21.0+ds.1-1) unstable; urgency=medium

  * New upstream version 0.21.0+ds.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:39:53 -0400

## golang-github-mozillazg-go-pinyin 0.21.0+ds.1

=== Makefile ===
help:
	@echo "test             run test"
	@echo "lint             run lint"
	@echo "gen_pinyin_dict  gen pinyin dict"

.PHONY: test
test:
	@echo "run test"
	@go test -v -cover

.PHONY: gen_pinyin_dict
gen_pinyin_dict:
	@go run _tools/gen_pinyin_dict.go _tools/pinyin-data/pinyin.txt pinyin_dict.go

.PHONY: lint
lint:
	gofmt -s -w . cmd/pinyin _tools
	golint .
	golint cmd/pinyin
	golint _tools

=== _tools/pinyin-data/Makefile ===
--- 
+++ 
@@ -14,4 +14,10 @@
 
 .PHONY: check
 check:
-	-rg 'ɡ|ɑ'
+	-rg 'ɡ|ɑ|í|è'
+
+.PHONY: cc_cedict
+cc_cedict:
+	cd tools && \
+    python python-pinyin/gen_phrases_dict.py phrase-pinyin-data/cc_cedict.txt cc_cedict.py && \
+    python gen_cc_cedict.py > ../cc_cedict.txt

=== _tools/pinyin-data/unihan/Makefile ===
.PHONY: help
help:
	@echo "parse		parse Unihan database "
	@echo "update		update Unihan database"
	@echo "diff		diff between Unihan data and parsed data"

.PHONY:parse
parse:
	@python parse_pinyin.py

.PHONY:update
update:
	-rm Unihan*
	wget ftp://ftp.unicode.org/Public/UNIDATA/Unihan.zip -O Unihan.zip
	unzip Unihan.zip
	python parse_pinyin.py

.PHONY:diff
diff:
	@bash diff.sh

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-mozillazg-go-pinyin
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
@@ -11,7 +11,7 @@
  dh-golang,
  golang-any,
  golang-github-mattn-go-isatty-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mozillazg/go-pinyin
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/golang-github-mozillazg-go-pinyin
@@ -23,5 +23,6 @@
 Depends:
  ${misc:Depends},
 Built-Using: ${misc:Built-Using}
-Description: Chinese pinyin conversion library for Golang.
- This package provides golang chinese pinyin conversion library.
+Static-Built-Using: ${misc:Static-Built-Using}
+Description: Chinese pinyin conversion library for Golang
+ This package provides Chinese pinyin conversion library written in Golang.

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,3 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang
-
-

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%go-pinyin-$1.tar.gz%" \
   https://github.com/mozillazg/go-pinyin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
